gnome-hearts No Longer Available in antiX-19

  • This topic has 2 replies, 2 voices, and was last updated Nov 2-12:24 pm by RobK88.
Viewing 3 posts - 1 through 3 (of 3 total)
  • Author
    Posts
  • #28839
    Member
    RobK88

    One of my favourite card games is no longer available in AntiX-19 (i386) — gnome-hearts.
    It does not show up in the list of available packages. (It is available in antiX-17).

    Has anyone had any success porting gnome-hearts to antiX-19 (x86)?

    #28844
    Member
    skidoo
    Helpful
    Up
    0
    :D

    porting? no, because Debian10 dropped many of the packages gnome-hearts depends on.

    The following (tested) enabled me to install & run gnome-hearts in antiX 19:

    Temporarily add a line in /etc/apt/sources.list.d/debian.list
    deb http://ftp.us.debian.org/debian/ stretch main contrib non-free

    sudo apt update
    sudo install gnome-hearts

    then remove that “stretch” line from /etc/apt/sources.list.d/debian.list
    and again perform apt update

    Launch gnome-hearts from a terminal prompt and keep a lookout for any errors (not “GTK warnings”).
    FWIW, during my brief test I did not notice any errors.

    #28847
    Member
    RobK88
    Helpful
    Up
    0
    :D

    skidoo — Many thanks showing me your trick to get gnome-hearts installed on antiX-19. I would have never thought of trying to temporarily use the stretch repos.
    I will definitely give it a shot.

Viewing 3 posts - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.